> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Report Runs

<Warning>This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.</Warning>

Search through previously executed report runs.


## OpenAPI

````yaml /openapi.json get /v1/reporting/reports/runs
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/reporting/reports/runs:
    get:
      summary: ' Get Report Runs'
      operationId: v1_reporting_reports_runs_getReportRuns
      parameters:
        - schema:
            type: array
            items:
              $ref: '#/components/schemas/ReportStatus'
            default:
              - running
              - completed
              - failed
          required: false
          name: status
          in: query
        - schema:
            type: string
            format: uuid
            description: Filter to only runs generated by this user
          required: false
          description: Filter to only runs generated by this user
          name: user
          in: query
        - schema:
            type: string
            example: employee-contact-info
          required: false
          name: report
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 200
            default: 20
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetReportRunsResponse'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
components:
  schemas:
    ReportStatus:
      type: string
      enum:
        - running
        - completed
        - failed
      x-fern-enum:
        running: {}
        completed: {}
        failed: {}
      id: ReportStatus
      x-speakeasy-group: v1.reporting
    GetReportRunsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ReportRun'
        cursor:
          type: string
      required:
        - items
    ReportRun:
      type: object
      properties:
        id:
          type: string
          format: uuid
        reportId:
          type: string
          example: payroll-report
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        createdBy:
          $ref: '#/components/schemas/ReportUser'
        status:
          $ref: '#/components/schemas/ReportStatus'
        file:
          type: object
          properties:
            name:
              type: string
              example: payroll-2025-01-01.csv
            mediaType:
              type: string
              example: text/csv
            sizeBytes:
              type: number
              minimum: 0
          required:
            - name
            - mediaType
            - sizeBytes
          x-speakeasy-group: v1.reporting
          description: Only present if the report has been completed.
      required:
        - id
        - reportId
        - createdAt
        - createdBy
        - status
      id: ReportRun
      x-speakeasy-group: v1.reporting
    ReportUser:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          example: Bruce Wayne
      required:
        - id
        - name
      id: ReportUser
      x-speakeasy-group: v1.reporting
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````